---
updatedAt: 2025-08-11T13:29:50.000Z
agentTools:
  projectIndex: https://docs.securitytrails.com/llms.txt
---

# Get Static Assets

Gets static assets for your project using the path parameter `project_id`. The response will include a list of static assets with their detail.
The returned data can be filtered by `asset`, `static_type`, `membership_type`, `last_applied_before` and `last_applied_after`, if not provided, all assets will be returned.

In case the number of parameters exceeds the limit, default `100` and maximum `1000`, scrolling will be used to retrieve the next page of results.
The `cursor` are returned in the `meta.pagination` field of the response, which can be used to retrieve the next page of results.
If the `cursor` is `None`, there are no more pages available to scroll.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ASI Project API",
    "description": "\nThe Attack Surface Intelligence (ASI) Project API is designed to allow you full-featured access\nto all of the `Assets` within all of the `Project`s as well as , most importantly, the `Exposures` that our\nsystem has identified on those assets, including proposed remediations.\n\nYou can create new user-defined `Tags` and apply them to `Assets` either individually or in bulk.\n\nYou can use either the GET-based listing endpoint to find assets or the /_search endpoint which\naccepts a more structured request and, in the future, will allow for even more complex boolean queries.\n\nUsing it only requires a standard Security Trails API access key.\n",
    "version": "v1.7.0"
  },
  "servers": [
    {
      "url": "https://api.securitytrails.com/v2",
      "description": "Security Trails API"
    }
  ],
  "paths": {
    "/projects/{project_id}/rules/static_assets": {
      "get": {
        "tags": [
          "Rules"
        ],
        "summary": "Get Static Assets",
        "description": "Gets static assets for your project using the path parameter `project_id`. The response will include a list of static assets with their detail.\nThe returned data can be filtered by `asset`, `static_type`, `membership_type`, `last_applied_before` and `last_applied_after`, if not provided, all assets will be returned.\n\nIn case the number of parameters exceeds the limit, default `100` and maximum `1000`, scrolling will be used to retrieve the next page of results.\nThe `cursor` are returned in the `meta.pagination` field of the response, which can be used to retrieve the next page of results.\nIf the `cursor` is `None`, there are no more pages available to scroll.",
        "operationId": "Rules-get_static_assets",
        "security": [
          {
            "APIKeyHeader": []
          }
        ],
        "parameters": [
          {
            "name": "project_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "description": "The ID of the project",
              "title": "Project Id"
            },
            "description": "The ID of the project"
          },
          {
            "name": "asset",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Filter by asset (exact string match)",
              "title": "Asset"
            },
            "description": "Filter by asset (exact string match)"
          },
          {
            "name": "static_type",
            "in": "query",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/StaticType",
              "description": "Filter by static type"
            },
            "description": "Filter by static type"
          },
          {
            "name": "membership_type",
            "in": "query",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/MembershipType",
              "description": "Filter by membership type"
            },
            "description": "Filter by membership type"
          },
          {
            "name": "last_applied_before",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time",
              "description": "Filter by last applied before this date (`YYYY-MM-DDTHH:MM:SS`)",
              "title": "Last Applied Before"
            },
            "description": "Filter by last applied before this date (`YYYY-MM-DDTHH:MM:SS`)"
          },
          {
            "name": "last_applied_after",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time",
              "description": "Filter by last applied after this date (`YYYY-MM-DDTHH:MM:SS`)",
              "title": "Last Applied After"
            },
            "description": "Filter by last applied after this date (`YYYY-MM-DDTHH:MM:SS`)"
          },
          {
            "name": "include_deleted",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean",
              "description": "Include records that has been deleted from project. Deleted records will contain `deleted_at` value key",
              "default": false,
              "title": "Include Deleted"
            },
            "description": "Include records that has been deleted from project. Deleted records will contain `deleted_at` value key"
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "maximum": 1000,
              "minimum": 1,
              "description": "Maximum number of results to return",
              "default": 100,
              "title": "Limit"
            },
            "description": "Maximum number of results to return"
          },
          {
            "name": "cursor",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Base 64 string for pagination included in `meta.pagination.next_cursor` field in previous response. If provided, will return the next page of results",
              "title": "Cursor"
            },
            "description": "Base 64 string for pagination included in `meta.pagination.next_cursor` field in previous response. If provided, will return the next page of results"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiListResponse_StaticAsset_"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ApiCount": {
        "properties": {
          "total": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Total"
          },
          "returned": {
            "type": "integer",
            "title": "Returned"
          }
        },
        "type": "object",
        "required": [
          "returned"
        ],
        "title": "ApiCount"
      },
      "ApiListResponse_StaticAsset_": {
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/StaticAsset"
            },
            "type": "array",
            "title": "Data"
          },
          "meta": {
            "$ref": "#/components/schemas/ApiMeta"
          }
        },
        "type": "object",
        "required": [
          "data",
          "meta"
        ],
        "title": "ApiListResponse[StaticAsset]"
      },
      "ApiMeta": {
        "properties": {
          "params": {
            "anyOf": [
              {
                "type": "object"
              },
              {
                "type": "null"
              }
            ],
            "title": "Params"
          },
          "counts": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ApiCount"
              },
              {
                "type": "null"
              }
            ]
          },
          "pagination": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/PaginationResponse"
              },
              {
                "type": "null"
              }
            ]
          },
          "request_id": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Request Id"
          }
        },
        "type": "object",
        "title": "ApiMeta"
      },
      "AssetState": {
        "properties": {
          "added": {
            "anyOf": [
              {
                "type": "string",
                "description": "Description of added asset"
              },
              {
                "type": "null"
              }
            ],
            "title": "Added"
          },
          "errors": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "title": "Errors"
          }
        },
        "type": "object",
        "title": "AssetState"
      },
      "HTTPValidationError": {
        "properties": {
          "detail": {
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
          }
        },
        "type": "object",
        "title": "HTTPValidationError"
      },
      "MembershipType": {
        "type": "string",
        "enum": [
          "include",
          "exclude"
        ],
        "title": "MembershipType"
      },
      "PaginationResponse": {
        "properties": {
          "next_cursor": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Next Cursor",
            "description": "An opaque value which should be passed as the `cursor` to retrieve the next page of results. If None or not present there are no remaining pages. This value should not be interpreted by the client."
          },
          "limit": {
            "type": "integer",
            "title": "Limit",
            "description": "The number of items returned",
            "default": 50
          },
          "total": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Total"
          },
          "sort": {
            "anyOf": [
              {
                "items": {
                  "prefixItems": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "string"
                    }
                  ],
                  "type": "array",
                  "maxItems": 2,
                  "minItems": 2
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Sort",
            "description": "The sort order of the results"
          }
        },
        "type": "object",
        "title": "PaginationResponse"
      },
      "StaticAsset": {
        "properties": {
          "asset": {
            "type": "string",
            "title": "Asset"
          },
          "membership_type": {
            "$ref": "#/components/schemas/MembershipType"
          },
          "static_type": {
            "$ref": "#/components/schemas/StaticType"
          },
          "global_state": {
            "$ref": "#/components/schemas/AssetState"
          },
          "project_state": {
            "$ref": "#/components/schemas/AssetState"
          },
          "inserted_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "description": "When the asset was added"
              },
              {
                "type": "null"
              }
            ],
            "title": "Inserted At"
          },
          "last_applied_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "description": "When the asset was last applied"
              },
              {
                "type": "null"
              }
            ],
            "title": "Last Applied At"
          },
          "delete_requested_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "description": "When the asset was requested to be deleted from project"
              },
              {
                "type": "null"
              }
            ],
            "title": "Delete Requested At"
          },
          "deleted_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time",
                "description": "When the asset was deleted from the project"
              },
              {
                "type": "null"
              }
            ],
            "title": "Deleted At"
          }
        },
        "type": "object",
        "required": [
          "asset",
          "membership_type",
          "static_type",
          "global_state",
          "project_state"
        ],
        "title": "StaticAsset"
      },
      "StaticType": {
        "type": "string",
        "enum": [
          "ipv4",
          "hostname",
          "wildcard"
        ],
        "title": "StaticType"
      },
      "ValidationError": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey"
      }
    }
  }
}
```